it.csi.mddtools.guigen

## Interface UISecurityConstraint

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ActorBasedSecurityConstraint, CustomSecurityConstraint, DeclarativeUIConstraint, RoleBasedSecurityConstraint, UCBasedSecurityConstraint

      public interface UISecurityConstraint
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'UI Security Constraint'. Superclasse di tutti i security constraints applicabili a widget e menu.

  The following features are supported:

  - `Visible`
  - `Enabled`
  See Also:
    `GuigenPackage.getUISecurityConstraint()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabled()` Returns the value of the 'Enabled' attribute
    `boolean` | `isVisible()` Returns the value of the 'Visible' attribute
    `void` | `setEnabled(boolean value)` Sets the value of the '`Enabled`' attribute
    `void` | `setVisible(boolean value)` Sets the value of the '`Visible`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isVisible

          boolean isVisible()

      Returns the value of the 'Visible' attribute.

      If the meaning of the 'Visible' attribute isn't clear, there really should be more of a description here...

      in alternativa a enabled. Se impostato a true il comportamento condizionato sarà la visibilità
      Returns:
        the value of the 'Visible' attribute.
      See Also:
        `setVisible(boolean)`, `GuigenPackage.getUISecurityConstraint_Visible()`

    - #### setVisible

          void setVisible(boolean value)

      Sets the value of the '`Visible`' attribute.
      Parameters:
        `value` - the new value of the 'Visible' attribute.
      See Also:
        `isVisible()`

    - #### isEnabled

          boolean isEnabled()

      Returns the value of the 'Enabled' attribute.

      If the meaning of the 'Enabled' attribute isn't clear, there really should be more of a description here...

      in alternativa a visible. Se impostato a true il comportamento condizionato sarà l'abilitazione.
      Returns:
        the value of the 'Enabled' attribute.
      See Also:
        `setEnabled(boolean)`, `GuigenPackage.getUISecurityConstraint_Enabled()`

    - #### setEnabled

          void setEnabled(boolean value)

      Sets the value of the '`Enabled`' attribute.
      Parameters:
        `value` - the new value of the 'Enabled' attribute.
      See Also:
        `isEnabled()`